Loading...
Searching...
No Matches
String.h File Reference
`#include <casacore/casa/aips.h>`
`#include <string>`
`#include <casacore/casa/iosstrfwd.h>`
`#include <casacore/casa/sstream.h>`

Go to the source code of this file.

## Classes

class | casacore::SubString
| More...
class | casacore::String
| String: the storage and methods of handling collections of characters. More...
struct | casacore::String_global_functions_concatenator
| Global concatenation operators. More...
struct | casacore::String_global_functions_comparitor
| Global comparison operators. More...
struct | casacore::String_global_functions_split
| Splitting Global function which splits the String into string array res at separator and returns the number of elements. More...
struct | casacore::String_global_functions_common
| Some general functions Functions to find special patterns, join and replicate . More...
struct | casacore::String_global_functions_case
| Casing and related functions Case conversion and rearrangement functions . More...
struct | casacore::String_global_functions_io
| IO . More...
struct | std::hash< casacore::String >

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines
namespace | std
| Define real & complex conjugation for non-complex types and put comparisons into std namespace.

## Functions

ostream & | casacore::operator<< (ostream &s, const String &x)